"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/container.tsx
var container_exports = {};
__export(container_exports, {
  CContainer: () => CContainer
});
module.exports = __toCommonJS(container_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_vue_system = require("@chakra-ui/vue-system");
var import_utils = require("@chakra-ui/utils");
var import_vue_utils = require("@chakra-ui/vue-utils");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CContainer = (0, import_vue2.defineComponent)({
  name: "CContainer",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    centerContent: {
      type: [Boolean]
    },
    ...import_vue_utils.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue2.computed)(() => (0, import_utils.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = (0, import_vue_system.useStyleConfig)("Container", themingProps);
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
      "__label": "container",
      "__css": {
        ...styles.value,
        ...props.centerContent && {
          display: "flex",
          flexDirection: "column",
          alignItems: "center"
        }
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CContainer
});
